[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

RE: svn commit: r1517192 - /subversion/trunk/build/generator/gen_win_dependencies.py

From: Bert Huijben <bert_at_qqmail.nl>
Date: Sun, 25 Aug 2013 21:16:57 +0200

> -----Original Message-----
> From: jcorvel_at_apache.org [mailto:jcorvel_at_apache.org]
> Sent: zaterdag 24 augustus 2013 22:02
> To: commits_at_subversion.apache.org
> Subject: svn commit: r1517192 -
> /subversion/trunk/build/generator/gen_win_dependencies.py
>
> Author: jcorvel
> Date: Sat Aug 24 20:02:29 2013
> New Revision: 1517192
>
> URL: http://svn.apache.org/r1517192
> Log:
> On Windows, make it possible to build Subversion against Serf 1.3.0 and
> higher by allowing compilation against an already compiled serf.
>
> * build/generator/gen_win_dependencies.py
> (_find_serf): Set is_src to False when version >= 1.3.0.

Not really related to this patch, but more to the log message.

It was already possible to compile against serf 1.3.0 (and serf trunk) by passing the install directory of serf instead of the source directory.

On trunk we accept a standard install directory for almost every dependency now, instead of just source locations. (I think Apache-HttpD is the only remaining exception)

        Bert
 
Received on 2013-08-25 21:18:10 CEST

This is an archived mail posted to the Subversion Dev mailing list.